/*
 *
 *  * Copyright 2019-2020 the original author or authors.
 *  *
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  *
 *  *      https://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *
 */

package test.org.springdoc.api.app113;

import java.util.Optional;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * The type Hello controller.
 */
@RestController
public class HelloController {

	/**
	 * Test.
	 *
	 * @param body the body
	 */
	@PostMapping("/lol")
	public void test(@RequestBody(required = false) Body body) {
	}

	/**
	 * Test 2.
	 *
	 * @param body the body
	 */
	@PostMapping("/lol2")
	public void test2(@RequestBody Optional<Body> body) {
	}

	/**
	 * The type Body.
	 */
	public class Body {
		/**
		 * The Field.
		 */
		public String field;
	}
}
